<?php if($cptCal==0){ ?>
<style>
/*conteneur principal et header*/
.vCalMonthMain						{display:table; width:100%; height:100%;}
.vCalMonthMain>div					{display:table-row;}
.vCalMonthMain>div>div				{display:table-cell;}
.vCalMonthMain>div:first-child		{height:15px;}/*ligne du header*/
.vCalMonthWeekNb					{width:15px; vertical-align:middle; font-size:0.9em; opacity:0.3;}
.vCalMonthWeekNb:hover				{background:#eee;}
.vCalMonthDayHeader					{text-align:center;}
/*Cellules du jour*/
.vCalMonthDayCell							{color:#222; border-top:solid 1px #ddd; border-left:solid 1px #ccc; border-bottom:solid 1px #fff; background-color:#fff;}/*background-color à préciser pour le style "black"*/
.vCalMonthToday								{background:#f8f8f8;}
.vCalMonthDayOpacity .vCalMonthDayLabel		{opacity:0.5;}/*jours passés ou jours du futur mois : opacité du label du jour*/
.vCalMonthDayOpacity .vCalEvtLabel			{opacity:0.8;}/*idem : opacité du libellé des événements du jour (pas tout le block!)*/
.vCalMonthDayLabel							{padding:3px; border-bottom:solid #f8f8f8 1px; cursor:pointer;}
.vCalMonthDayCell:hover .vCalMonthDayLabel	{color:#d00; background:#eee;}
.vCalMonthToday .vCalMonthDayLabel			{color:#d00; font-size:1.1em;}
.vCalMonthDayCelebration					{color:#070; font-style:italic; margin-left:7px;}
.vCalMonthDayAddEvt							{display:none;}
.vCalMonthDayCell:hover .vCalMonthDayAddEvt	{display:block; float:right; margin-right:5px;}

/*RESPONSIVE*/
@media screen and (max-width:1005px){
	.vCalMonthDayHeader, .vCalMonthDayLabel		{font-size:0.9em;}
	.vCalMonthWeekNb, .vCalMonthDayCelebration	{display:none!important;}
	.vCalMonthDayAddEvt		{display:block; float:right;}
	.vCalMonthDayAddEvt img	{height:10px; filter:grayscale(100%); opacity:0.5;}
}

/* IMPRESSION */
@media print{
	.vCalMonthMain		{display:table; max-height:620px!important;}
	.vCalMonthDaysLine	{height:auto!important;}
	.vCalMonthWeekNb	{display:none!important;}
	.vCalMonthDayCell	{color:#222; border:solid 1px #ddd;}
	.vCalMonthDayLabel	{border:none!important;}
}
</style>

<script>
////	Gère l'affichage de la vue "month" (cf. "VueIndex.php")
function calendarDimensions()
{
	//largeur/hauteur des jours
	$(".vCalMonthDayHeader,.vCalMonthDayCell").css("width", Math.round(($(".vCalMonthMain").width()-$(".vCalMonthWeekNb").width()) / 7));
	var lineHeight=Math.round($(".vCalMonthMain:first").height() / $(".vCalMonthMain:first .vCalMonthDaysLine").length)-4;//-4 pour prendre en compte le border
	$(".vCalMonthDaysLine").css("height", lineHeight+"px");

	//Redimentionne "vCalendarBlock" si la hauteur réelle est supérieure à "availableContentHeight()"
	$(".vCalendarBlock").each(function(){
		var realHeight=$(this).find(".vCalendarHeader").height() + $(this).find(".vCalMonthMain").height() -2;
		if($(this).innerHeight()<realHeight)	{$(this).css("height",realHeight);}
	});
}
</script>
<?php } ?>


<div class="vCalMonthMain">
	<!--HEADER DES JOURS-->
	<div>
		<div class="vCalMonthWeekNb">&nbsp;</div>
		<?php
		for($cmpDay=1; $cmpDay<=7; $cmpDay++){
			$dayLabel=Txt::trad("day_".$cmpDay);
			if(Tool::isMobile())	{$dayLabel=substr($dayLabel,0,3).".";}
			echo "<div class='vCalMonthDayHeader'>".$dayLabel."</div>";
		}
		?>
	</div>

	<?php
	////	JOURS DU MOIS
	foreach($periodDays as $tmpDay)
	{
		////	LIGNE+NUMERO DE LA SEMAINE
		if(date("N",$tmpDay["timeBegin"])==1)	{echo "<div class='vCalMonthDaysLine'><div class='vCalMonthWeekNb sLink' onClick=\"redir('?ctrl=calendar&displayMode=week&curTime=".$tmpDay["timeBegin"]."')\" title=\"".Txt::trad("CALENDAR_weekNb")." ".date("W",$tmpDay["timeBegin"])."\">".date("W",$tmpDay["timeBegin"])."</div>";}
		////	CELLULE DU JOUR
		echo "<div class='vCalMonthDayCell ".$tmpDay["dayClass"]."'>
				<div class='vCalMonthDayLabel' onClick=\"lightboxOpen('".$tmpDay["urlEditNew"]."&_idCal=".$tmpCal->_id."')\" title=\"".$txtAddEvt.$txtAddEvtPropose."\">
					".date("j",$tmpDay["timeBegin"])."<span class='vCalMonthDayCelebration'>".$tmpDay["celebrationDay"]."</span><span class='vCalMonthDayAddEvt'><img src='app/img/plusSmall.png'></span>
				</div>";
				////	EVENEMENTS DU JOUR
				foreach($eventList[$tmpDay["date"]] as $tmpEvt){
					$titleMaxSize=Tool::isMobile() ? 20 : 45;//Voir en 1366x768
					$tmpEvtTooltip=ucfirst(Txt::displayDate($tmpEvt->dateBegin,"full",$tmpEvt->dateEnd))." : ".$tmpEvt->title;
					$tmpEvtImportant=(!empty($tmpEvt->important))  ?  " <img src='app/img/important.png'>"  :  null;
					$evtAttr="onclick=\"lightboxOpen('".$tmpEvt->getUrl("vue")."')\" data-catColor='".$tmpEvt->catColor."' ";
					echo $tmpEvt->divContainer("vCalEvtBlock",$evtAttr).$tmpEvt->contextMenu(["inlineLauncher"=>true,"_idCal"=>$tmpCal->_id,"curDateTime"=>strtotime($tmpEvt->dateBegin)])."
						<div class='vCalEvtLabel' title=\"".$tmpEvtTooltip."\">".Txt::displayDate($tmpEvt->dateBegin,"mini").": ".Txt::reduce($tmpEvt->title,$titleMaxSize).$tmpEvtImportant."</div>
					 </div>";
				}
			echo "</div>";
		////	FIN DE LIGNE DE LA SEMAINE
		if(date("N",$tmpDay["timeBegin"])==7)	{echo "</div>";}
	}
	?>
</div>