<?php if(Ctrl::$agora->gPeopleEnabled()){ ?><script src="https://apis.google.com/js/api.js"></script><?php } ?>

<script>
////	Resize
lightboxSetWidth(450);

////	Controle sur le formulaire simple
function formControl()
{
	//Formulaire des contacts importés  /  Formulaire simple
	if($("input[name='peopleContacts[]']:visible").length>0 && $("input[name='peopleContacts[]']:checked").length==0){
		notify("<?= Txt::trad("selectUser"); ?>");
		return false;
	}else if($("#simpleForm").is(":visible")){
		//Vérifie que les champs obligatoires sont spécifiés
		if($("input[name='name']").isEmpty() || $("input[name='firstName']").isEmpty() || $("input[name='mail']").isEmpty())  {notify("<?= Txt::trad("fillAllFields") ?>");  return false;}
		// Verif mail & verif Ajax s'il existe déjà (car utilisé comme identifiant..)
		if(!isMail($("input[name='mail']").val()))  {notify("<?= Txt::trad("mailInvalid"); ?>");  return false;}
		var ajaxUrl="?ctrl=misc&action=UserAccountExist&mail="+encodeURIComponent($("input[name='mail']").val());
		var ajaxResult=$.ajax({url:ajaxUrl,async:false}).responseText;//"Async:false" pour attentre la réponse avant de poursuivre
		if(find("true",ajaxResult))  {notify("<?= Txt::trad("USER_mailPresentYet"); ?>");  return false;}
	}
}

////	Import des contacts via l'API "People" de Google
<?php if(Ctrl::$agora->gPeopleEnabled()){ ?>
$(function(){
	////	Init l'API People
	gapi.load("client:auth2", function(){
		gapi.client.init({
			apiKey:"<?= Ctrl::$agora->gPeopleApiKey() ?>",//"gPeopleApiKey" de l'API "People
			clientId:"<?= Ctrl::$agora->gSigninClientId() ?>",//"gSigninClientId" du Google Projet
			discoveryDocs:["https://www.googleapis.com/discovery/v1/apis/people/v1/rest"],//Spécification obligatoires..
			scope:"https://www.googleapis.com/auth/contacts.readonly"//Etendue des données à récupérer
		}).then(function(){
			if(gapi.auth2.getAuthInstance().isSignedIn.get())	{gapi.auth2.getAuthInstance().signOut();}	//On se déconnecte par défaut, car si on est déjà connecté, le "listen()" suivant ne se lance pas
			$("#importPeopleContacts button").click(function(){	gapi.auth2.getAuthInstance().signIn();  });	//Clique sur "Importer les contacts" : lance en premier l'authentification via "signIn()"
			gapi.auth2.getAuthInstance().isSignedIn.listen(getPeopleContacts);								//Une fois connecté (cf. "listen()"), on lance la récupération des contacts via "getPeopleContacts()"
		});
	});

	////	Appelée si la connexion est modifiée : met à jour la liste des utilisateurs via l'API "People"
	function getPeopleContacts()
	{
		//Si on est bien connecté : lance la récup
		if(gapi.auth2.getAuthInstance().isSignedIn.get())
		{
			//Affichage de chaque contacts. Doc: https://developers.google.com/people/quickstart/js  &&  https://developers.google.com/people/api/rest/v1/people.connections/list
			gapi.client.people.people.connections.list({
				resourceName: "people/me",
				pageSize: 1000,//nb max d'users affichés
				sortOrder:"FIRST_NAME_ASCENDING",//Tri des résultats
				personFields: "names,emailAddresses"//champs à récupérer
			}).then(
				//Réponse OK : on liste les contacts
				function(response){
					//liste des contacts
					var contactList=response.result.connections;//console.log(contactList);
					if(contactList.length>0)
					{
						//Init les contacts à controler via Ajax & les inputs du formulaire
						var mailListAjax=[];
						var contactInputs="";
						for(var cpt=0; cpt<contactList.length; cpt++)
						{
							var person=contactList[cpt];
							//Ajoute chaque contact au formulaire
							if(person.names && person.names.length>0 && person.emailAddresses && person.emailAddresses.length>0){
								var mailTmp=		person.emailAddresses[0].value;
								var givenNameTmp=	person.names[0].givenName;
								var familyNameTmp=	person.names[0].familyName;
								if(typeof familyNameTmp=="undefined")	{familyNameTmp="";}
								mailListAjax.push(mailTmp);
								contactInputs+="<div class='contactLine' title=\""+mailTmp+"\" data-mail=\""+mailTmp+"\"><input type='checkbox' name='peopleContacts[]' value=\""+givenNameTmp+"@@@"+familyNameTmp+"@@@"+mailTmp+"\" id='contact"+cpt+"'> &nbsp; <label for='contact"+cpt+"'>"+givenNameTmp+" "+familyNameTmp+"</label></div>";
							}
						}
						//Affiche le formulaire avec chaque contact (inputs) et Masque l'autre formulaires a co
						$("#peopleContactsForm").prepend(contactInputs).show();
						$("#simpleForm,#importPeopleContacts,#invitationList").hide();
						//Controle ajax : désactive les mails déjà présents sur l'espace (à faire après avoir affiché les mails!)
						$.getJSON({url:"?ctrl=misc&action=UserAccountExist",data:{mailList:mailListAjax}}).done(function(jsonResult){
							if(jsonResult.mailListPresent.length>0){
								for(var cpt=0; cpt<jsonResult.mailListPresent.length; cpt++){
									var mailTmp=jsonResult.mailListPresent[cpt];
									var newTitle=mailTmp+" : <?= Txt::trad("USER_mailPresentInAccount") ?>";
									$(".contactLine[data-mail='"+mailTmp+"'] input").prop("disabled",true);
									$(".contactLine[data-mail='"+mailTmp+"']").css("opacity","0.8").append("&nbsp; <img src='app/img/info.png'>").attr("title",newTitle).removeClass("tooltipstered");//ajoute de l'opacité et l'icone "info", modif le tooltip et enleve le tooltipster (sinon se superpose au title par défaut..)
								}
							}
						});
						//Sélection d'un utilisateur : controle le quota dispo et affiche un message s'il est dépassé
						$("input[name='peopleContacts[]']").on("click",function(){
							var usersQuotaRemaining=<?= MdlUser::usersQuotaRemaining() ?>;
							if($("input[name='peopleContacts[]']:checked").length > usersQuotaRemaining){
								$(this).prop("checked",false);
								notify("<?= Txt::trad("USER_importQuotaExceeded") ?>".replace("--USERS_QUOTA_REMAINING--",usersQuotaRemaining).replace("--LIMITE_NB_USERS--","<?= limite_nb_users ?>"));
							}
						});
				   }
				},
				//Gestion des erreurs (https://developers.google.com/api-client-library/javascript/features/promises)
				function(reason){
					notify("Loading error -> Code "+reason.result.error.code+" : "+reason.result.error.message);
				}
			);
		}
	}
});
<?php } ?>
</script>


<style>
#simpleForm input, #simpleForm textarea	{width:100%!important; margin-bottom:10px!important;}
.orLabel							{margin-top:40px; margin-bottom:40px;}/*surcharge*/
#importPeopleContacts				{text-align:center;}
#importPeopleContacts button		{height:45px!important; width:300px!important; margin-bottom:30px;}
#peopleContactsForm					{display:none;}
#peopleContactsForm .contactLine	{display:inline-block!important; width:50%; margin-bottom:10px;}
#peopleContactsForm textarea		{margin-top:15px;}
#invitationListHr					{margin-top:30px;}
#invitationListDiv					{display:none;}
#invitationListDiv li				{margin:10px;}
.formMainButton						{margin-top:10px;}/*surcharge*/
</style>


<div class="lightboxTitle"><?= Txt::trad("USER_sendInvitation") ?> <img src="app/img/info.png" title="<?= Txt::trad("USER_sendInvitationInfo") ?>"></div>


<div class="lightboxContent">
	
	<!--INVITATION SIMPLE-->
	<form action="index.php" method="post" OnSubmit="return formControl();" id="simpleForm">
		<!--ENVOI D'UNE INVITATION-->
		<?php foreach($userFields as $tmpField){ ?><input type="text" name="<?= $tmpField ?>" placeholder="<?= Txt::trad($tmpField) ?>"><?php } ?>
		<textarea name="comment" placeholder="<?= Txt::trad("commentAdd") ?>"><?= Req::getParam("comment") ?></textarea>
		<?= Txt::submit("send") ?>
	</form>

	<!--INVITATION AVEC IMPORT DES CONTACTS GMAIL-->
	<?php if(Ctrl::$agora->gPeopleEnabled()){ ?>
	<div id="importPeopleContacts">
		<div class="orLabel"><div><hr></div><div><?= Txt::trad("or") ?></div><div><hr></div></div>
		<button><img src="app/img/gSignin.png"> <?= Txt::trad("USER_importPeopleContacts") ?></button>
	</div>
	<form action="index.php" method="post" OnSubmit="return formControl();" id="peopleContactsForm">
		<textarea name="comment" placeholder="<?= Txt::trad("commentAdd") ?>"><?= Req::getParam("comment") ?></textarea>
		<?= Txt::submit("send") ?>
	</form>
	<?php } ?>

	<!--INVITATIONS EN ATTENTES ENVOYEES PAR L'USER COURANT-->
	<?php if(!empty($invitationList)){ ?>
	<div id="invitationList">
		<hr id="invitationListHr">
		<div class="sLink" onclick="$('#invitationListDiv').fadeToggle();"><img src="app/img/mail.png">&nbsp; <?= count($invitationList)." ".Txt::trad("USER_mailInvitationWait") ?></div>
		<ul id="invitationListDiv">
			<?php
			//Invitations déjà envoyées
			foreach($invitationList as $tmpInvitation){
				$objSpace=Ctrl::getObj("space",$tmpInvitation["_idSpace"]);
				$deleteInvitationImg="<img src='app/img/delete.png' class='sLink' style='height:20px' title=\"".txt::trad("delete")."\" onclick=\"confirmDelete('?ctrl=user&action=sendInvitation&deleteInvitation=true&_idInvitation=".$tmpInvitation["_idInvitation"]."')\" >";
				echo "<li>".$tmpInvitation["name"]." ".$tmpInvitation["firstName"]." - ".$tmpInvitation["mail"]." - ".Txt::displayDate($tmpInvitation["dateCrea"])."&nbsp; ".$deleteInvitationImg."<br><img src='app/img/arrowRight.png' style='height:8px'> ".$objSpace->name."</li>";
			}
			?>
		</ul>
	</div>
	<?php } ?>
</div>